libgphoto2 photo camera library (libgphoto2) API 2.5.2

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- c
- f
- g
- h
- p

### - c -

- CHECK_LIST : gphoto2-list.c

### - f -

- FAST_TIMEOUT : gphoto2-port.c

### - g -

- GP_ERROR : gphoto2-port-result.h
- GP_ERROR_BAD_PARAMETERS : gphoto2-port-result.h
- GP_ERROR_CAMERA_BUSY : gphoto2-result.h
- GP_ERROR_CAMERA_ERROR : gphoto2-result.h
- GP_ERROR_CANCEL : gphoto2-result.h
- GP_ERROR_CORRUPTED_DATA : gphoto2-result.h
- GP_ERROR_DIRECTORY_EXISTS : gphoto2-result.h
- GP_ERROR_DIRECTORY_NOT_FOUND : gphoto2-result.h
- GP_ERROR_FILE_EXISTS : gphoto2-result.h
- GP_ERROR_FILE_NOT_FOUND : gphoto2-result.h
- GP_ERROR_FIXED_LIMIT_EXCEEDED : gphoto2-port-result.h
- GP_ERROR_HAL : gphoto2-port-result.h
- GP_ERROR_IO : gphoto2-port-result.h
- GP_ERROR_IO_INIT : gphoto2-port-result.h
- GP_ERROR_IO_LOCK : gphoto2-port-result.h
- GP_ERROR_IO_READ : gphoto2-port-result.h
- GP_ERROR_IO_SERIAL_SPEED : gphoto2-port-result.h
- GP_ERROR_IO_SUPPORTED_SERIAL : gphoto2-port-result.h
- GP_ERROR_IO_SUPPORTED_USB : gphoto2-port-result.h
- GP_ERROR_IO_UPDATE : gphoto2-port-result.h
- GP_ERROR_IO_USB_CLAIM : gphoto2-port-result.h
- GP_ERROR_IO_USB_CLEAR_HALT : gphoto2-port-result.h
- GP_ERROR_IO_USB_FIND : gphoto2-port-result.h
- GP_ERROR_IO_WRITE : gphoto2-port-result.h
- GP_ERROR_LIBRARY : gphoto2-port-result.h
- GP_ERROR_MODEL_NOT_FOUND : gphoto2-result.h
- GP_ERROR_NO_MEMORY : gphoto2-port-result.h
- GP_ERROR_NO_SPACE : gphoto2-result.h
- GP_ERROR_NOT_SUPPORTED : gphoto2-port-result.h
- GP_ERROR_OS_FAILURE : gphoto2-result.h
- GP_ERROR_PATH_NOT_ABSOLUTE : gphoto2-result.h
- GP_ERROR_TIMEOUT : gphoto2-port-result.h
- GP_ERROR_UNKNOWN_PORT : gphoto2-port-result.h
- GP_LOG_ALL : gphoto2-port-log.h
- GP_OK : gphoto2-port-result.h
- GP_PORT_MAX_BUF_LEN : gphoto2-port.h

### - h -

- HEXDUMP_BLOCK_DISTANCE : gphoto2-port-log.c
- HEXDUMP_COMPLETE_LINE : gphoto2-port-log.c
- HEXDUMP_INIT_X : gphoto2-port-log.c
- HEXDUMP_INIT_Y : gphoto2-port-log.c
- HEXDUMP_LINE_WIDTH : gphoto2-port-log.c
- HEXDUMP_MIDDLE : gphoto2-port-log.c
- HEXDUMP_OFFSET_WIDTH : gphoto2-port-log.c

### - p -

- PICTURES_TO_KEEP : gphoto2-filesys.c
- PIN_CTS : gphoto2-port.h